/*
 * iseyesfront - Make both eyes look straight ahead.
 */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include "meye_control.h"

int main(int argc, char **argv)
{
	meyec_t *ec;
	int rha, rva, lha, lva;
	struct timespec del;

	del.tv_sec = 0;
	del.tv_nsec = 20*1000*1000;

	if ((ec = meyec_new()) == NULL)
		exit(EXIT_FAILURE);

	if (meyec_look_straight_ahead(ec) == -1)
		exit(EXIT_FAILURE);

	rha = ec->e[MEYE_R].horiz_mid;
	rva = ec->e[MEYE_R].vert_mid;
	lha = ec->e[MEYE_L].horiz_mid;
	lva = ec->e[MEYE_L].vert_mid;
	// look up to max
	do {
		rva++;
		lva--;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_V, rva);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_V, lva);
		nanosleep(&del, NULL);
	} while (rva < ec->e[MEYE_R].max_up);
	// look right to max
	do {
		rha--;
		lha--;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_H, rha);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_H, lha);
		nanosleep(&del, NULL);
	} while (rha > ec->e[MEYE_R].max_right);
	// look down to max
	do {
		rva--;
		lva++;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_V, rva);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_V, lva);
		nanosleep(&del, NULL);
	} while (rva > ec->e[MEYE_R].max_down);
	// look left to max
	do {
		rha++;
		lha++;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_H, rha);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_H, lha);
		nanosleep(&del, NULL);
	} while (rha < ec->e[MEYE_R].max_left);
	// look up to mid
	do {
		rva++;
		lva--;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_V, rva);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_V, lva);
		nanosleep(&del, NULL);
	} while (rva < ec->e[MEYE_R].vert_mid);
	// look right to mid
	do {
		rha--;
		lha--;
		meyec_move_eye_angle(ec, MEYE_R, MEYE_H, rha);
		meyec_move_eye_angle(ec, MEYE_L, MEYE_H, lha);
		nanosleep(&del, NULL);
	} while (rha > ec->e[MEYE_R].horiz_mid);

	meyec_destroy(ec);

	return EXIT_SUCCESS;
}
